BEEM - Android XMPP - Bug #271

Beem doesn't display ignored messages sometimes.
06/12/2010 06:33 PM - Nolan Darilek

Status: Closed Start date: 06/12/2010
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.1.6

Affected version: hg Locale:

Description

This morning | was running Beem and noticed an interesting behavior.

| received a message on chat A, which I ignored. | then received 3 consecutive messages on chat B, which | also ignored. Finally, |
received a third message on chat A when I finally decided to check them all. Note that I'd just opened Beem, so no chats had been
opened in the activity.

| started by opening chat A. This revealed only a single message rather than two, presumably the last one | received.

| then opened chat B, but there were no messages. There should have been 3. | opened chat B directly from chat A.

| want to say that, when chats are open, all messages are correctly received even if ignored--at least, based on my experiences

yesterday. So the problem appears to be ignored messages for unopened chats. Maybe Beem doesn't store these associated with
future chats to be opened, instead only keeping the last ignored message?

Related issues:

Related to Feature #259: Improve support for reconnections Assigned 04/19/2010
Related to Bug #287: Message-joining in chats breaks accessibility New 07/23/2010
History

#1 - 07/22/2010 10:58 AM - Frédéric Barthéléry

- Target version set to 0.1.5

#2 - 07/23/2010 05:04 PM - Nolan Darilek

I'm having a hard time duplicating this because of #259. Basically, | can't seem to keep Beem online for long enough such that | go away on my
desktop and messages start arriving, because when it switches from wifi to 3G it loses connection. So I'm not ignoring this, but simply can't test it.

| also have a theory that it might be related to #287 in that the messages aren't ignored, I'm just not able to focus on them. I'll investigate that line of
thought as soon as | can.

#3 - 01/19/2011 06:46 PM - Frédéric Barthéléry

- Target version changed from 0.1.5t0 0.1.6

#4 - 04/25/2011 06:46 PM - Frédéric Barthéléry

- Status changed from New to Resolved

#5 - 05/06/2011 02:19 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed
